#ifndef RCL_CL_ARGS_E_HPP
#define RCL_CL_ARGS_E_HPP

#include "DF3Exceptions.hpp"

namespace arg {

    class ArgsError : public Exceptions::DF3Exceptions {
    public:
	ArgsError() {}
	virtual ~ArgsError();
	virtual void debug() const;
    private:
    };
    
    class Input : public ArgsError{
    public:
	virtual void debug() const;
    private:
    };
    
    class FromBasename : public ArgsError{
    public:
	virtual void debug() const;
    private:
    };
    
    class FromList : public ArgsError{
    public:
	virtual void debug() const;
    private:
    };
    
    class SetOutput : public ArgsError{
    public:
	virtual void debug() const;
    private:
    };

}


#endif
